#!/bin/bash

# Script para pasar todos los ficheros scr de una ubicación
# a otra y convertirlos a gif y cambiarles el tamaño

SRC=/home/sergio/zx/zxdb/games
DST=/home/sergio/zx/scr_packs/zosya

if [ ! -d ${DST} ]; then
    mkdir -p ${DST}
fi
rm ${DST}/*
find ${SRC} -type f -iname "*.scr" -exec cp -v {} ${DST} \;
scr2gif -f ${DST}/*.scr
rm ${DST}/*.scr
mogrify -verbose -scale 768x576 ${DST}/*.gif